    using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;


namespace Mod
{
        public class Mod
    {

        public static void Main()
        {
			 CategoryBuilder.Create("CombatMan", "CLOWN KILLS YOU!",ModAPI.LoadSprite("all.png"));					
//tricky	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "tricky", 
                    NameToOrderByOverride = "hair",
                    DescriptionOverride = "Tricky time!", 
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("Tricky the clown.png");
                        var flesh = ModAPI.LoadTexture("Tricky flesh.png");
                        var bone = ModAPI.LoadTexture("Tricky bone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(-0.0713f, 0.0571f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("hair.png");
                        cSpr.sortingLayerName = "Top";

                    }
                }
            );
          ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
                  NameOverride = "Grenade",
                  DescriptionOverride = "what th...",
                  CategoryOverride = ModAPI.FindCategory("Explosives"),
                  ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Limoom.png");
                      Instance.GetComponent<ExplosiveBehaviour>().ImpactForceThreshold = 2.11f;
                      Instance.AddComponent<BoxCollider2D>();
        }
      }
    );
            //Auditor Sword
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Auditor Sword",
                    DescriptionOverride = "Cool Black Sword",
                    CategoryOverride = ModAPI.FindCategory("Melee"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ausword.png", 4f);
                    }
                }
            );
            //Lighter
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "Lighter",
                    DescriptionOverride = "Deimos like it too!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("lighther.png", 2f);
                        Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Fire");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 50f;
                    }
                }
            );
            //M203
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Crossbow"),
                    NameOverride = "M203",
                    DescriptionOverride = "Tricky kill Mag Hank with this.",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m203.png", 2f);
                        Instance.GetComponent<SpriteRenderer>().sortingOrder = 10;
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileAsset = ModAPI.FindSpawnable("Grenade");
                        Instance.GetComponent<ProjectileLauncherBehaviour>().projectileLaunchStrength = 15f;
                    }
                }
            );
            //Fire
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Fire",
                    NameToOrderByOverride = "Fire",
                    DescriptionOverride = "Fire",
                    CategoryOverride = ModAPI.FindCategory("Misc."),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("fire.png", 2f);
                    }
                }
            );
            //Cigarette
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Cigarette",
                    NameToOrderByOverride = "Cigarette",
                    DescriptionOverride = "Deimos like it!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cigarette.png", 2f);
                    }
                }
            );
//ex tricky	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Expurgation Tricky", 
                    NameToOrderByOverride = "exhair",
                    DescriptionOverride = "HELLO AGAIN!", 
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("expurgation.png");
                        var flesh = ModAPI.LoadTexture("black.png");
                        var bone = ModAPI.LoadTexture("black.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("exhair");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(-0.0713f, 0.0571f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("exhair.png");
                        cSpr.sortingLayerName = "Top";

                    }
                }
            );
//ex tricky	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Tricky Skeleton", 
                    NameToOrderByOverride = "hair",
                    DescriptionOverride = "HELLO AGAIN!this is my boss.", 
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("expurgation.png");
                        var flesh = ModAPI.LoadTexture("black.png");
                        var bone = ModAPI.LoadTexture("black.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("exhair");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(-0.0713f, 0.0571f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("hair.png");
                        cSpr.sortingLayerName = "Top";

                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Hank",
                    DescriptionOverride = "The protagonist!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("bloodeyeskin.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Agent",
                    DescriptionOverride = "With the black glasses!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("black_agent.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Retainer",
                    DescriptionOverride = "They wear a distinctive, intimidating mask with red lenses that resemble angrily glaring eyes. This mask is supposedly surgically implanted as suggested by a pair of wires attached to a metal plate on the side of their head. They also have what appears to be burn marks on their face behind the mask, and wear a jacket over their suit.",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("retainer.png");
                        var flesh = ModAPI.LoadTexture("black.png");
                        var bone = ModAPI.LoadTexture("black.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Hank 3",
                    DescriptionOverride = "With hurt head",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("hank3.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Hank 4",
                    DescriptionOverride = "With hurt head and body",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("hank4.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Yeelon",
                    DescriptionOverride = "nope",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("yeelon.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "ATP Engineer",
                    DescriptionOverride = "Upgraded agent!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("engineer.png");
                        var flesh = ModAPI.LoadTexture("yellow.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Kelzad",
                    DescriptionOverride = "...funny...",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("kelza.png");
                        var flesh = ModAPI.LoadTexture("yellow.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "ATP Soldat",
                    DescriptionOverride = "Upgraded engineer!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("atp.png");
                        var flesh = ModAPI.LoadTexture("yellow.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Antipathy",
                    DescriptionOverride = "antipathy hank",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("antipathy.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Grunt",
                    DescriptionOverride = "Just normal human or,not?",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("grunt.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Agent",
                    DescriptionOverride = "The victims!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("agent.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
//Jesus	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Jesus", 
                    NameToOrderByOverride = "hair",
                    DescriptionOverride = "The savior!", 
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("jesus.png");
                        var flesh = ModAPI.LoadTexture("jlesh.png");
                        var bone = ModAPI.LoadTexture("jone.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(-0.0713f, 0.0571f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("angelhorn.png");
                        cSpr.sortingLayerName = "Top";

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Jesus", 
                    NameToOrderByOverride = "hair",
                    DescriptionOverride = "dead savior", 
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("jlesh.png");
                        var flesh = ModAPI.LoadTexture("jlesh.png");
                        var bone = ModAPI.LoadTexture("jlesh.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(-0.0713f, 0.0571f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("angelhorn.png");
                        cSpr.sortingLayerName = "Top";

                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "tiky",
                    DescriptionOverride = "test",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Tricky.png");
                        var flesh = ModAPI.LoadTexture("Tricky.png");
                        var bone = ModAPI.LoadTexture("Tricky.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "tirky",
                    DescriptionOverride = "test",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("tirky.png");
                        var flesh = ModAPI.LoadTexture("tirky.png");
                        var bone = ModAPI.LoadTexture("tirky.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            //wall
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Metal Cube"), //item to derive from
        NameOverride = "hair", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "lol.", //new item description
        CategoryOverride = ModAPI.FindCategory("CombatMan"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("all.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("man.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
            Instance.GetComponent<PhysicalBehaviour>().DisplayBloodDecals = false;
        }
    }
);
            //wall
            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Metal Cube"), //item to derive from
        NameOverride = "wall", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "lol.", //new item description
        CategoryOverride = ModAPI.FindCategory("CombatMan"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("all.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("wall.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
            Instance.GetComponent<PhysicalBehaviour>().DisplayBloodDecals = false;
        }
    }
);
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mag Hank",
                    DescriptionOverride = "with Black Arm",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("hank.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mag Hank",
                    DescriptionOverride = "with Red Arm",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("maghank.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sanford",
                    DescriptionOverride = "Like Hank!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sans.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sanford 5.5",
                    DescriptionOverride = "Like Hank!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sanford.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mem0s",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("n6.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Deimos 5.5",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("mem5.5.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Memes",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("memes.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Memos",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("memos.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Trollge",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("trollge.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Troll",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("troll.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
//Auditor	
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"), 
                    NameOverride = "Auditor", 
                    NameToOrderByOverride = "Auditor",
                    DescriptionOverride = "", 
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        var skin = ModAPI.LoadTexture("auditor.png");
                        var flesh = ModAPI.LoadTexture("auditor.png");
                        var bone = ModAPI.LoadTexture("auditor.png");
                        var person = Instance.GetComponent<PersonBehaviour>();
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);
						
						var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(head);
                        cObj.transform.localPosition = new Vector3(-0.0713f, 0.0571f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("demonhorn.png");
                        cSpr.sortingLayerName = "Top";

                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zombie",
                    DescriptionOverride = "NOT NORMAL HUMAN!!!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("zombie.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zombie Agent",
                    DescriptionOverride = "NOT NORMAL AGENT!!!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("zombie0.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zombie Agent",
                    DescriptionOverride = "NOT NORMAL AGENT!!!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("zombie1.png");
                        var flesh = ModAPI.LoadTexture("flesh.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zombie Engineer",
                    DescriptionOverride = "NOT NORMAL ENGINEER!!!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("zombie2.png");
                        var flesh = ModAPI.LoadTexture("yellow.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zombie Soldat",
                    DescriptionOverride = "NOT NORMAL SOLDAT!!!",
                    CategoryOverride = ModAPI.FindCategory("CombatMan"),
                    ThumbnailOverride = ModAPI.LoadSprite("all.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("zombie3.png");
                        var flesh = ModAPI.LoadTexture("yellow.png");
                        var bone = ModAPI.LoadTexture("bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );
        }
    }
}